Subject: bug#20202: EMACS=t Joy and Happiness

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 May 2018 09:16:16 +0300

> From: Paul Eggert <[email-masked]>
> Date: Thu, 24 May 2018 15:03:56 -0700
> Cc: [email-masked], Stefan Monnier <[email-masked]>,
> 	[email-masked]
> 
> Bash 4.4 came out only in September 2016, and it's too soon to assume 
> it.

I agree, 1.5 years is too soon.  I think we need 5 years at least.

> How about this idea: At Emacs build time, we check whether Bash is 4.4 
> or later, and if so we use a term.el that assumes bash 4.4 or later. 
> Otherwise, we use a term.el that interrogates the shell dynamically for 
> whether it is shell and if so what its version number is, the first time 
> that Emacs runs a process under a shell.

The first part will only work if Emacs is used on the same system
where it is built, right?  Is that a good assumption, given all the
binary distributions?